import React from 'react';

export const Tabs = (props: { children: React.ReactNode }) => {
  return (
    <div className="flex items-stretch divide-x divide-secondary-200 border-x border-secondary-200 overflow-x-auto -my-px">
      {props.children}
    </div>
  );
};

export const Tab = ({
  activeTab,
  text,
  ...props
}: React.ButtonHTMLAttributes<HTMLDivElement> & {
  activeTab: boolean;
  children: React.ReactNode;
  text: string;
}) => {
  return (
    <div
      className={`flex items-center pl-2 pr-1 gap-1 cursor-pointer relative border-secondary-200 before:content-[''] before:absolute before:left-0 before:bottom-0 before:h-[2px] before:w-full ${activeTab ? 'before:bg-primary-500' : 'before:bg-transparent hover:before:bg-secondary-300 hover:bg-secondary-200'}`}
      {...props}
    >
      <p className={`text-xs text-secondary-500 font-semibold ${activeTab && 'text-secondary-950'}`}>{text}</p>
      {props.children}
    </div>
  );
};
